# $Revision: 1.42 $, $Date: 2008/09/01 14:43:19 $
Summary:	Traces the route taken by packets over a TCP/IP network
Summary(de.UTF-8):	Verfolgt die Route von Paketen über ein TCP/IP-Netzwerk
Summary(es.UTF-8):	Enseña la ruta que los paquetes usan a través de una red TCP/IP
Summary(fr.UTF-8):	Détermine le route empruntée par les paquets sur un réseau TCP/IP
Summary(pl.UTF-8):	Program do śledzenia trasy pakietów przez sieć TCP/IP
Summary(pt_BR.UTF-8):	Mostra a rota que os pacotes usam através de uma rede TCP/IP
Summary(ru.UTF-8):	Показывает трассу, по которой проходят пакеты в TCP/IP сети
Summary(tr.UTF-8):	TCP/IP ağlarında paketlerin rotasını izler
Summary(uk.UTF-8):	Показує трасу, якою проходять пакети по TCP/IP мережі
Summary(zh_CN.UTF-8):	[系统]检查网络联通路径的工具
Name:		traceroute
Version:	2.0.11
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/traceroute/%{name}-%{version}.tar.gz
# Source0-md5:	d400573042d41559fc3e5260275300d8
Patch0:		%{name}-AI_IDN.patch
URL:		http://traceroute.sourceforge.net/
BuildRequires:	rpm >= 4.4.9-56
Obsoletes:	traceroute-nanog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host. Traceroute displays the
IP number and host name (if possible) of the machines along the route
taken by the packets. Traceroute is used as a network debugging tool.
If you're having network connectivity problems, traceroute will show
you where the trouble is coming from along the route.

%description -l de.UTF-8
Traceroute druckt die Route, die von den Paketen über ein TCP/IP
eingeschlagen wird. Die Namen (bzw. die IP-Nummern, wenn keine Namen
verfügbar sind) der Maschinen, die beim Routing beteiligt sind,
angefangen vom Rechner, auf dem Tracerout läuft, bis zum Ziel, werden
ausgedruckt, zusammen mit der Zeit bis zum Erhalt der
'Empfangsbestätigung'. Dieses Tool kann bei der Diagnose von
Netzwerkproblemen gute Dienste leisten.

%description -l es.UTF-8
Traceroute imprime la ruta que los paquetes hacen a través de una red
TCP/IP. Son impresos los nombres (o números de IP si los nombres no
están disponibles) de las máquinas que están en ruta en paquetes de la
máquina traceroute, junto con el tiempo que ha llevado para que la
máquina reciba el reconocimiento (ack) del paquete. Esta herramienta
puede ser muy útil para diagnosticar problemas de red.

%description -l fr.UTF-8
traceroute affiche la route que les paquets prennent avec TCP/IP. Il
affiche les noms (ou les numéros IP si les noms ne sont pas
disponibles) des machines qui routent les paquets de la machine sur
laquelle traceroute s'exécute jusqu'à la machine destination, ainsi
que le temps qu'il a fallu pour recevoir un accusé reception de cette
machine. Cet outil est très pratique pour diagnostiquer les problèmes
réseau

%description -l pl.UTF-8
traceroute wyświetla trasę pakietów do podanego komputera.

%description -l pt_BR.UTF-8
Traceroute imprime a rota que os pacotes fazem através de uma rede
TCP/IP. São impressos os nomes (ou números de IP se os nomes não
estiverem disponíveis) das máquinas que estão roteando pacotes da
máquina traceroute, junto com o tempo que levou para a máquina receber
o reconhecimento (ack) do pacote. Esta ferramenta pode ser muito útil
para diagnosticar problemas de rede.

%description -l ru.UTF-8
Traceroute выводит путь, который пакеты проходят по сети TCP/IP. Имена
(или IP-адреса, если имена недоступны) машин, через которые прошли
пакеты по дороге до точки назначения вместе со временем, которое
потребовалось для получения подтверждения о получении пакета от этих
машин. Эта утилита может быть очень полезна для диагностики сетевых
проблем.

%description -l tr.UTF-8
Traceroute, bir TCP/IP ağı boyunca paketlerin izledikleri rotanın
dökümünü çıkarır. Çalıştığı makineden hedef makineye kadar olan yol
boyunca paketleri yönlendiren her makinenin ismi (ya da IP
numaraları), bu makinelerden alındı bilgisinin alınmasına kadar geçen
süreyle birlikte listelenir. Ağ sorunlarının belirlenmesinde oldukça
yardımcı olabilir.

%description -l ru.UTF-8
Traceroute выводит путь, который пакеты проходят по сети TCP/IP. Имена
(или IP-адреса, если имена недоступны) машин, через которые прошли
пакеты по дороге до точки назначения вместе со временем, которое
потребовалось для получения подтверждения о получении пакета от этих
машин. Эта утилита может быть очень полезна для диагностики сетевых
проблем.

%prep
%setup -q
%if "%{pld_release}" == "ac"
%patch0 -p1
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CPPFLAGS="%{rpmcflags} -D_GNU_SOURCE=1" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

install traceroute/traceroute $RPM_BUILD_ROOT%{_bindir}
ln -s traceroute $RPM_BUILD_ROOT%{_bindir}/traceroute6
ln -s traceroute $RPM_BUILD_ROOT%{_bindir}/tracert

cp -a */*.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so traceroute.8" > $RPM_BUILD_ROOT%{_mandir}/man8/traceroute6.8
echo ".so traceroute.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracert.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README TODO
%attr(4754,root,adm) %{_bindir}/traceroute
%attr(755,root,root) %{_bindir}/traceroute6
%attr(755,root,root) %{_bindir}/tracert
%{_mandir}/man8/traceroute.8*
%{_mandir}/man8/traceroute6.8*
%{_mandir}/man8/tracert.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: traceroute.spec,v $
Revision 1.42  2008/09/01 14:43:19  glen
- disable AI_IDN for ac. LP#248736; rel 2

Revision 1.41  2008/07/21 19:01:15  qboosh
- updated to 2.0.11
- fixed tracert symlink

Revision 1.40  2008/05/28 19:33:12  glen
- release 3

Revision 1.39  2008-04-07 14:27:35  glen
- no special group for symlinks either

Revision 1.38  2008-04-07 14:27:14  glen
- no suid for symlinks

Revision 1.37  2008-04-07 14:03:05  arekm
- rel 2

Revision 1.36  2008-04-07 13:36:22  arekm
- no glob for suids

Revision 1.35  2008-04-07 13:13:50  arekm
- switch to new traceroute suite at http://traceroute.sf.net (ver 2.0.9)

Revision 1.34  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.32  2005/05/10 19:38:07  darekr
- unify

Revision 1.31  2004/09/13 14:30:11  gotar
- moved from _sbindir to _bindir leaving symlink, release 11

Revision 1.30  2004/08/11 21:27:24  havner
- rel 10

Revision 1.29  2003/11/29 12:55:08  undefine
- release 9 to rebuild with ac

Revision 1.28  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.27  2003/05/28 13:02:19  malekith
- massive attack: source-md5

Revision 1.26  2003/05/27 12:03:18  trojan
- added Source-md5

Revision 1.25  2003/05/25 06:27:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/01/18 23:19:10  kloczek
- release 8,
- added more non-english-man-pages (added pt traceroute(8) man page from
  Conectiva resources),
- merge translations from TurboLinux.

Revision 1.23  2003/01/16 21:51:05  radek
- copied install-sh and config.sub from automake (athlon problems)
- BR: automake

Revision 1.22  2002/11/29 09:35:58  undefine
- release 5
- new %doc

Revision 1.21  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/02/27 04:30:04  kloczek
- merge translatins from KSI.

Revision 1.19  2002/02/24 07:22:58  qrczak
- Use * as filename for man pages, so it works no matter how they are
  compressed.
- Release 4.

Revision 1.18  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/05 19:33:01  gotar
- Obsoletes: traceroute-nanog,
- fixed naming polish manpage.

Revision 1.16  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/01 16:22:25  kloczek
- added -DUSE_KERNEL_ROUTING_TABLE to CFLAGS.

Revision 1.14  2001/12/01 13:59:40  ankry
- typo in source1

Revision 1.13  2001/11/26 08:09:48  ankry
- added pl man page
- release 3

Revision 1.12  2001/08/15 18:16:34  kloczek
- release 2: merge all known translation (from old bero spec and from cnv).

Revision 1.11  2001/08/15 15:32:04  qboosh
- acfix patch for ac 2.5x
- fix patch is out (obsolete)
- rewritten old autoroute* and aliases patches into new autoroute patch
  (they were patching the same fragments)
- droproot patch NOT updated - "privileged part" is too options-dependent
- integrated message changes from lsrr patch into segfix patch
- llan* patch is out - lsrr patch changed the same fragment
- updated lsrr patch

Revision 1.10  2001/08/12 14:03:39  blues
- 1.4a12
- patches updated and a bit cleaned up
- configure2_13
NOTE: all the patches are dirty - one is patching another. Thats why 2 are
out. 3 are to further correction.

Revision 1.9  2001/08/09 22:56:11  blues
- exotic translations

Revision 1.8  2001/08/09 22:06:52  agaran
s/configure/configure2_13/ (ac/am stuff is weird..aclocal/autoconf regen dont helped)

Revision 1.7  2001/06/27 08:01:04  kloczek
- use adm group instead icmp on suid traceroute binary.

Revision 1.6  2001/06/25 19:14:19  qboosh
- fixed Group, new automation, binary perms 4754 root.icmp
- added aliases,autoroute2,bigpacklen,droproot,llan*,lsrr,sourceroute,unaligned
  patches from RH
- release 26

Revision 1.5  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/12/08 14:28:55  cieciwa
- fixes install procedure,
- added gzippeg manual,
- fixes file location, (compilant with FHS 2.0).

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw
